## Apache Zeta Components Manual :: Docs For Class ezcBaseInitCallbackConfiguredException

### Base::ezcBaseInitCallbackConfiguredException

### Class ezcBaseInitCallbackConfiguredException

ezcBaseInitCallbackConfiguredException is thrown when you try to assign a callback clasname to an identifier, while there is already a callback class configured for this identifier.

Source for this file: /Base/src/exceptions/init_callback_configured.php

    Exception
       |
       --ezcBaseException
          |
          --ezcBaseInitCallbackConfiguredException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Method Summary

public ezcBaseInitCallbackConfiguredException | `__construct( $identifier , $originalCallbackClassName )` Constructs a new ezcBaseInitCallbackConfiguredException.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

### Methods

#### __construct

ezcBaseInitCallbackConfiguredException __construct( string $identifier , string $originalCallbackClassName )

Constructs a new ezcBaseInitCallbackConfiguredException.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$identifier` | string |
`$originalCallbackClassName` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3